From be17e5f7de296e5de184a5de9db4003c68f786af Mon Sep 17 00:00:00 2001
From: Jan Haag <haag498@gmail.com>
Date: Fri, 16 Jul 2010 17:03:45 +0200
Subject: [PATCH] fixed #ifdef for SIP_USE_PYCAPSULE in PyMethodDef array.

---
 siplib/voidptr.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/siplib/voidptr.c b/siplib/voidptr.c
index b6aa4d7..c3c9942 100644
--- a/siplib/voidptr.c
+++ b/siplib/voidptr.c
@@ -309,7 +309,9 @@ static PyObject *sipVoidPtr_setwriteable(sipVoidPtrObject *v, PyObject *arg)
 /* The methods data structure. */
 static PyMethodDef sipVoidPtr_Methods[] = {
 #if PY_VERSION_HEX >= 0x03010000
+#if defined(SIP_USE_PYCAPSULE)
     {"ascapsule", (PyCFunction)sipVoidPtr_ascapsule, METH_NOARGS, NULL},
+#endif	
 #endif
     {"ascobject", (PyCFunction)sipVoidPtr_ascobject, METH_NOARGS, NULL},
     {"asstring", (PyCFunction)sipVoidPtr_asstring, METH_KEYWORDS, NULL},
-- 
1.7.1

